Subject: Re: [PATCH] net: phy: realtek: Add rtl8211e rx/tx delays config

From: Andrew Lunn <[email-masked]>
Date: Fri, 26 Apr 2019 22:05:21 +0200

> Hello Andrew
> 
> Thanks for the comment. I'll alter the code the way you said. The mode will
> be changed by the config_init-function only if the interface is selected to be
> rgmii-like (rgmii, rgmii-id, rgmii-txid and rgmii-rxid), otherwise it will
> be left as is.
> 
> But I've got a question regarding this then. What about for instance rtl8211f
> phy config_init-method? It setups the delay config in any case, no matter
> whether interface is configured to be of rgmii or another mode. Is it correct
> to configure rtl8211e and rtl8211f differently? Especially seeing the U-boot
> driver also perform the rtl8211f phy configuration.

Hi Sergey

It is not correct and rtl8211f should be changed. Please add a second
patch for that.

We got burnt recently with PHY drivers doing the wrong thing with
respect to RGMII delays. We have learnt from that experience, but
there is code in the kernel which still does things wrong.

      Andrew